I finally found out that I have installed the wrong apache package, namely 
libapache2-mod-wsgi-py3 rather than libapache2-mod-wsgi.

ReviewBorad has obviously been installed by easy_install in Python 2.7 
shared directories rather than in Python 3. I'm clearly not a Python 
specialist, installing libapache2-mod-wsgi (which automatically remove 
libapache2-mod-wsgi-py3) solved the problem ;-)

On Friday, 12 September 2014 19:53:39 UTC+2, mot...@free.fr wrote:
>
> I've followed the installation procedure on mu Ubuntu box 14.04, using 
> Apache as HTTP server and PostgreSQL.
>
> I've successfully created the site, and enabled the site on my Apache.
>
> When I'm connecting to the application, I have the following message 
> displayed: "Review Board is taking a nap ..."
>
> In the Apache log file:
>
> [Fri Sep 12 19:49:30.739954 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926] mod_wsgi (pid=4552): Target WSGI script 
> '/var/www/xxx/htdocs/reviewboard.wsgi' cannot be loaded as Python module.
> [Fri Sep 12 19:49:30.740023 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926] mod_wsgi (pid=4552): Exception occurred processing WSGI 
> script '/var/www/xxx/htdocs/reviewboard.wsgi'.
> [Fri Sep 12 19:49:30.740057 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926] Traceback (most recent call last):
> [Fri Sep 12 19:49:30.740118 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926]   File "/var/www/xxx/htdocs/reviewboard.wsgi", line 3, 
> in <module>
> [Fri Sep 12 19:49:30.740127 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926]     import pkg_resources
> [Fri Sep 12 19:49:30.740156 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926]   File 
> "/usr/lib/python3/dist-packages/pkg_resources.py", line 2749, in <module>
> [Fri Sep 12 19:49:30.740161 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926]     working_set = WorkingSet._build_master()
> [Fri Sep 12 19:49:30.740186 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926]   File 
> "/usr/lib/python3/dist-packages/pkg_resources.py", line 444, in 
> _build_master
> [Fri Sep 12 19:49:30.740191 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926]     ws.require(__requires__)
> [Fri Sep 12 19:49:30.740214 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926]   File 
> "/usr/lib/python3/dist-packages/pkg_resources.py", line 725, in require
> [Fri Sep 12 19:49:30.740221 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926]     needed = 
> self.resolve(parse_requirements(requirements))
> [Fri Sep 12 19:49:30.740245 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926]   File 
> "/usr/lib/python3/dist-packages/pkg_resources.py", line 628, in resolve
> [Fri Sep 12 19:49:30.740254 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926]     raise DistributionNotFound(req)
> [Fri Sep 12 19:49:30.740281 2014] [:error] [pid 4552] [client 
> 127.0.0.1:50926] pkg_resources.DistributionNotFound: ReviewBoard
>
>
> But obviously the ReviewBoard package is correctly installed:
>
> $ sudo easy_install ReviewBoard
> Searching for ReviewBoard
> Best match: ReviewBoard 2.0.6
> Processing ReviewBoard-2.0.6-py2.7.egg
> ReviewBoard 2.0.6 is already the active version in easy-install.pth
> Installing rb-site script to /usr/local/bin
> Installing rbssh script to /usr/local/bin
>
> Using /usr/local/lib/python2.7/dist-packages/ReviewBoard-2.0.6-py2.7.egg
> Processing dependencies for ReviewBoard
> Finished processing dependencies for ReviewBoard
>
>
> I'm not used to Python web site, what do I have missed?
>
> Thanks,
>
> Julien
>

-- 
Get the Review Board Power Pack at http://www.reviewboard.org/powerpack/
---
Sign up for Review Board hosting at RBCommons: https://rbcommons.com/
---
Happy user? Let us know at http://www.reviewboard.org/users/
--- 
You received this message because you are subscribed to the Google Groups 
"reviewboard" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to reviewboard+unsubscr...@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Reply via email to